Class | Chef::CookbookCacheCleaner
In: | lib/chef/cookbook/synchronizer.rb
Parent: | Object

Keep track of the filenames that we use in both eager cookbook downloading (during sync_cookbooks) and lazy (during the run itself, through FileVendor). After the run is over, clean up the cache.

### Methods

cache cleanup_file_cache mark_file_as_valid new reset!

### Included Modules

Singleton

### Public Class methods

new()

### Public Instance methods

cache()
cleanup_file_cache()
mark_file_as_valid(cache_path)
reset!()

[Validate]